Bug 865856 - Anaconda 18.14 (F18 beta TC3 32 bits DVD) hang (hi CPU consumption) at the beginning of "Preparing to install"
Anaconda 18.14 (F18 beta TC3 32 bits DVD) hang (hi CPU consumption) at the be...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 12:31 EDT by Jacobo Cabaleiro
Modified: 2013-05-30 12:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 12:56:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda log during the incident (28.82 KB, text/plain)
2012-10-12 12:32 EDT, Jacobo Cabaleiro
no flags Details
syslog during problem (138.94 KB, text/plain)
2012-10-12 12:33 EDT, Jacobo Cabaleiro
no flags Details
Anaconda program.log (54.42 KB, text/plain)
2012-10-12 12:33 EDT, Jacobo Cabaleiro
no flags Details

  None (edit)
Description Jacobo Cabaleiro 2012-10-12 12:31:03 EDT
Launched a test installation using F18 beta TC3 32 bits install DVD, copied to a USB harddisk using dd.

Installation configuration was apparently completed; this included "reclaiming" HD space by reusing a partitioning scheme already present on the target disk (SATA).

After introducing the root password for the target system, Anaconda changed to the "Preparing to install" message showing the progress bar at 0% and hanged there. Top showed a total system CPU usage with 75% idle, 0% wa, 18% us and 7% sys. According to top, Xorg and anaconda processes were using both 25% CPU. 

Hardware was an old Toshiba notebook, with a dual core Intel T5500.

I'm attaching anaconda, program and syslog logs.
Comment 1 Jacobo Cabaleiro 2012-10-12 12:32:16 EDT
Created attachment 626112 [details]
Anaconda log during the incident
Comment 2 Jacobo Cabaleiro 2012-10-12 12:33:03 EDT
Created attachment 626113 [details]
syslog during problem
Comment 3 Jacobo Cabaleiro 2012-10-12 12:33:59 EDT
Created attachment 626114 [details]
Anaconda program.log
Comment 4 Chris Lumens 2012-10-15 10:51:46 EDT
How long did you wait?
Comment 5 Jacobo Cabaleiro 2012-10-15 12:37:52 EDT
At least half an hour
Comment 6 Jacobo Cabaleiro 2012-10-15 12:40:02 EDT
By the way, during my waiting Anaconda progress bar did move from 0%
Comment 7 Chris Lumens 2012-10-16 10:52:48 EDT
We've got a set of threading-related patches going into the next build.  Please test again with a tree containing anaconda-18.17-1 and let us know if it works better for you.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.